<?php
namespace Controller;

use Zeedhi\Framework\DTO\Request;
use Traits\TResponse;
use Service\FaturamentoService;
use Util\Utilities;

class FaturamentoController
{

     protected $FaturamentoService;

     use TResponse;

    public function __construct(FaturamentoService $FaturamentoService)
    {
        $this->FaturamentoService = $FaturamentoService;
    }
   
    public function getFaturamento(Request $request)
    {
        try {
            $data = $this->FaturamentoService->getFaturamento($request->getParameters());
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    public function getFaturamentoValorFixo(Request $request)
    {
        try {
            $data = $this->FaturamentoService->getFaturamentoValorFixo($request->getParameters());
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }
    
    
    public function getFaturamentoNaoAgrupado(Request $request)
    {
        try {
            $data = $this->FaturamentoService->getFaturamentoNaoAgrupado($request->getParameters());
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    public function getItensValorAgrupado(Request $request)
    {
        try {
            $data = $this->FaturamentoService->getItensValorAgrupado($request->getParameters());
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    public function getItensValorAgrupadoEstimado(Request $request)
    {
        try {
            $data = $this->FaturamentoService->getItensValorAgrupadoEstimado($request->getParameters());
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    public function getMedidasVariaveis(Request $request)
    {
        try {
            $data = $this->FaturamentoService->getMedidasVariaveis($request->getParameters());
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    public function findBilletIssuedFct(Request $request)
    {
        try {
            $data = $this->FaturamentoService->findBilletIssuedFct($request->getParameters());
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    public function getParcelasValorFixo(Request $request)
    {
        try {
            $data = $this->FaturamentoService->getParcelasValorFixo($request->getParameters());
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }
}
